package cn.com.countrygarden.bi.main.service.performance;

import cn.com.countrygarden.bi.main.model.performance.monthly.PerformanceMonthlyStatistics;

/**
 * 绩效月度平均完成率
 *
 * @author Max Date:2018/09/20
 * @version 1.0
 * @since 1.8
 */
public interface PerformanceMonthlyStatisticsService {
    int deleteByPrimaryKey(Long pmsId);

    int insertSelective(PerformanceMonthlyStatistics record);

    PerformanceMonthlyStatistics selectByPrimaryKey(Long pmsId);

    int updateByPrimaryKeySelective(PerformanceMonthlyStatistics record);

    //得到当前指标的最后月份
    Integer selectMaxMonth(long elementId, int year);

    //根据年/月/指标得到唯一一条数据
    PerformanceMonthlyStatistics getAverage(long elementId, int year, int month);
}
